import requests
from flask import jsonify


def wrap_response(code, msg=None, data=None):
    resp = {"code": code, "msg": msg}
    if code == 200 and not msg:
        resp["msg"] = "success"
    if data:
        resp["data"] = data
    return jsonify(resp)


def quit_human_intervention(user_id, staff_id) -> bool:
    url = f"http://ai-wechat-hook-internal.piaoquantv.com/manage/insertEvent?sender={user_id}&receiver={staff_id}&type=103&content=SYSTEM"
    response = requests.post(url, timeout=20, headers={"Content-Type": "application/json"})
    if response.status_code == 200 and response.json().get("code") == 0:
        return True
    else:
        return False

def enter_human_intervention(user_id, staff_id) -> bool:
    url = f"http://ai-wechat-hook-internal.piaoquantv.com/manage/insertEvent?sender={user_id}&receiver={staff_id}&type=104&content=SYSTEM"
    response = requests.post(url, timeout=20, headers={"Content-Type": "application/json"})
    if response.status_code == 200 and response.json().get("code") == 0:
        return True
    else:
        return False